package RNDGui;

import java.awt.GridLayout;
import java.awt.HeadlessException;
import java.awt.LayoutManager;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.SpringLayout;
import javax.swing.WindowConstants;

public class DemoLotto extends JFrame{
	
	static JFrame frame;
	public DemoLotto() throws HeadlessException {
		frame = new JFrame("Lotto");
		frame.setLocation(20, 20);
		frame.setSize(300, 300);
		frame.setTitle("7/39");
		frame.setDefaultCloseOperation(WindowConstants.HIDE_ON_CLOSE);
		
		initGUI();
	}
	
	short cl=0;
	
	private void initGUI() {
		
		GridLayout glayout = new GridLayout(13,3);
		Panel mainp=new Panel();
		Panel gridp=new Panel();
		
		gridp.setLayout(glayout);
		mainp.setLayout((LayoutManager) new BoxLayout(mainp, BoxLayout.Y_AXIS));
		
		final JCheckBox[] cbs = new JCheckBox[39];
		for(Short i=1;i<40;i++){
			gridp.add(cbs[i-1]=new JCheckBox(i.toString()));
			cbs[i-1].addActionListener(new ActionListener() {//button 2 code
				
				@Override
				public void actionPerformed(ActionEvent e) {
					for(Short i=0;i<39;i++){
						if(e.getSource()==cbs[i]){
							
							if(cbs[i].isSelected())
								cl++;
							else
								cl--;
							
							if(cl>7){
								cl--;
								cbs[i].setSelected(false);
							}
								
						}			
					}
				}
			});
		}
		
		
		
		
		JButton lbutton = new JButton("Check");
		lbutton.addActionListener(new ActionListener() {//button 2 code
			
			@Override
			public void actionPerformed(ActionEvent e) {
				byte[] nums=new byte[7];
				byte[] res=new byte[7];
				short bco=0,ma=0,rnum=0;;
				for(byte i=0;i<39;i++)
					if(cbs[i].isSelected())
						nums[bco++]=i;
					
				for(byte i=0;i<7;i++){
					rnum=(short) ((RNDUI.getRND()%39)+1);
					for(byte j=0;j<7;j++)
						if(nums[j]==rnum){
							
						}
							
				}
				JOptionPane.showMessageDialog(null, "test", "InfoBox: " , JOptionPane.INFORMATION_MESSAGE);
			}
		});
		
		
		mainp.add(gridp);
		mainp.add(lbutton);
		
		frame.add(mainp);
		frame.pack();
		
		
	}
	
	public static void Visibility(boolean v){
		frame.setVisible(v);
	}
		
}
