package FTInterface;

import java.io.IOException;
import jd2xx.JD2XX;
import jd2xx.JD2XXInputStream;
import jd2xx.JD2XXOutputStream;


public class IOInterface {
	int m,s;
	public JD2XXInputStream ins;
	public JD2XXOutputStream outs;
	
	public IOInterface(){
		FTManager.mode=this;
		ins = new JD2XXInputStream(FTManager.jd);
		outs = new JD2XXOutputStream(FTManager.jd);
	}
	
	public int aNum() throws IOException{
		return ins.available();
	}
	
	
	public void StreamOut(int data){
		synchronized(FTManager.mode){
			try {
				outs.write(data);
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
	
	public int StreamIn(){
		synchronized(FTManager.mode){
			try {
				return ins.read();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return -1;
	}
	
	public void Out(int x){
			try {
				FTManager.jd.write(x);
			} catch (IOException e) {
				e.printStackTrace();
			}
	}
	
	public int Inp(){
		synchronized(FTManager.mode){
			try {
				return FTManager.jd.read();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return -1;
	}
}
